<script setup lang="ts">
import { onMounted, ref } from "vue";
import { useTableStore } from "@/stores/Table/tables";
import type { VForm } from "vuetify/components";
const form = ref<VForm | null>(null);
const tableStore = useTableStore();
// onMounted(async () => {
//   await tableStore.getTables();
// });
async function save() {
  // const { valid } = await form.value!.validate();
  // if (valid) {
  await tableStore.changeTable();
  // }
}
</script>

<template>
  <v-row justify="center">
    <v-dialog
      v-model="tableStore.changeTableDialog"
      persistent
      transition="dialog-bottom-transition"
      width="500px"
    >
      <v-card>
        <v-card-title>
          <span class="text-h5">Change Table</span>
        </v-card-title>
        <v-card-text>
          <v-form ref="form">
            <v-container>
              <v-row>
                <v-col cols="12" sm="6">
                  <v-select
                    :items="[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14]"
                    label="Number of Table"
                    density="comfortable"
                    required
                  ></v-select>
                </v-col>
              </v-row>
            </v-container>
          </v-form>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn
            color="blue-darken-1"
            variant="text"
            @click="tableStore.changeTableDialog = false"
          >
            Close
          </v-btn>
          <v-btn color="blue-darken-1" variant="text" @click="save()">
            Save
          </v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
</template>
